Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jms
Class MessageProducerSessionFactory

    java.lang.Object
      com.atomikos.jms.MessageProducerSessionFactory

Direct Known Subclasses:
  QueueSenderSessionFactory, TopicPublisherSessionFactory

    public abstract class MessageProducerSessionFactory

extends Object

Common functionality for sender session factories.

Constructor Summary
`MessageProducerSessionFactory()`

Method Summary
`protected abstract MessageProducerSession` | `createMessageProducerSession()` Creates a new message producer session.
`int` | `getDeliveryMode()` Gets the delivery mode.
`protected javax.jms.Destination` | `getDestination()`
`protected String` | `getPassword()`
`int` | `getPriority()` Gets the priority.
`javax.jms.Destination` | `getReplyToDestination()` Gets the destination to reply to (if any).
`long` | `getTimeToLive()` Gets the time to live.
`String` | `getUser()` Gets the user (if any).
`void` | `setDeliveryMode(int mode)` Sets the JMS delivery mode for sending (optional).
`protected void` | `setDestination(javax.jms.Destination dest)`
`void` | `setPassword(String pw)` Sets the password (optional - only required if the user is set).
`void` | `setPriority(int pty)` Sets the priority for sending (optional).
`void` | `setReplyToDestination(javax.jms.Destination dest)` Sets the destination to reply to (optional).
`void` | `setTimeToLive(long ttl)` Sets the time to live for messages sent (optional).
`void` | `setUser(String user)` Sets the user name to use for sending (optional).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageProducerSessionFactory

    public MessageProducerSessionFactory()

Method Detail

### getDestination

    protected javax.jms.Destination getDestination()

### setDestination

    protected void setDestination(javax.jms.Destination dest)

### setReplyToDestination

    public void setReplyToDestination(javax.jms.Destination dest)

  Sets the destination to reply to (optional).

  Parameters:
    `dest` -

### getReplyToDestination

    public javax.jms.Destination getReplyToDestination()

  Gets the destination to reply to (if any).

  Returns:

### getDeliveryMode

    public int getDeliveryMode()

  Gets the delivery mode.

  Returns:

### getPriority

    public int getPriority()

  Gets the priority.

  Returns:

### getTimeToLive

    public long getTimeToLive()

  Gets the time to live.

  Returns:

### getUser

    public String getUser()

  Gets the user (if any).

  Returns:

### setDeliveryMode

    public void setDeliveryMode(int mode)

  Sets the JMS delivery mode for sending (optional).

  Parameters:
    `mode` -

### setPassword

    public void setPassword(String pw)

  Sets the password (optional - only required if the user is set).

  Parameters:
    `pw` -

### getPassword

    protected String getPassword()

### setPriority

    public void setPriority(int pty)

  Sets the priority for sending (optional).

  Parameters:
    `pty` -

### setTimeToLive

    public void setTimeToLive(long ttl)

  Sets the time to live for messages sent (optional).

  Parameters:
    `ttl` -

### setUser

    public void setUser(String user)

  Sets the user name to use for sending (optional).

  Parameters:
    `user` -

### createMessageProducerSession

    protected abstract MessageProducerSession createMessageProducerSession()

  Creates a new message producer session.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.